[Fusionforge-commits] r7563 - in trunk: . gforge/deb-specific gforge/debian

Roland Mas lolando at libremir.placard.fr.eu.org
Mon May 4 17:16:37 CEST 2009


Author: lolando
Date: 2009-05-04 17:16:36 +0200 (Mon, 04 May 2009)
New Revision: 7563

Modified:
   trunk/
   trunk/gforge/deb-specific/install-chroot.sh
   trunk/gforge/debian/changelog
Log:
Merged from 4.8: Allow install-chroot.sh to work even in vservers where device nodes can't be created


Property changes on: trunk
___________________________________________________________________
Modified: svn:mergeinfo
   - /branches/Branch_4_7:6879,6881,6884,6897,6899,6902,6904,6906,6909,6911,6922,6932,6936,6939,6942,6944,6946-6948,6954,6956,6959,7000-7001,7012,7111,7130-7131,7133-7134,7138,7140-7142,7147-7148,7159-7160,7163,7168,7177,7179,7203,7205,7207,7210,7212,7251-7253,7255,7284,7287,7291,7293,7295-7296,7300,7355,7365-7366,7375-7376,7378,7395,7423-7426,7435,7458,7504
/branches/Branch_4_8:7334-7335,7344-7345,7382,7387,7389-7390,7396,7398,7401-7402,7428-7429,7437,7440,7443,7449-7455,7459,7462,7466,7469-7470,7476-7477,7478,7480,7485,7490-7491,7492,7505,7540

   + /branches/Branch_4_7:6879,6881,6884,6897,6899,6902,6904,6906,6909,6911,6922,6932,6936,6939,6942,6944,6946-6948,6954,6956,6959,7000-7001,7012,7111,7130-7131,7133-7134,7138,7140-7142,7147-7148,7159-7160,7163,7168,7177,7179,7203,7205,7207,7210,7212,7251-7253,7255,7284,7287,7291,7293,7295-7296,7300,7355,7365-7366,7375-7376,7378,7395,7423-7426,7435,7458,7504
/branches/Branch_4_8:7334-7335,7344-7345,7382,7387,7389-7390,7396,7398,7401-7402,7428-7429,7437,7440,7443,7449-7455,7459,7462,7466,7469-7470,7476-7477,7478,7480,7485,7490-7491,7492,7505,7540,7556


Modified: trunk/gforge/deb-specific/install-chroot.sh
===================================================================
--- trunk/gforge/deb-specific/install-chroot.sh	2009-05-04 15:14:36 UTC (rev 7562)
+++ trunk/gforge/deb-specific/install-chroot.sh	2009-05-04 15:16:36 UTC (rev 7563)
@@ -81,9 +81,9 @@
 	cp /lib/libcom_err* $CHROOTDIR/lib
 
 	# Create devices files
-	[ -c $CHROOTDIR/dev/null ] || mknod $CHROOTDIR/dev/null c 1 3
-	[ -c $CHROOTDIR/dev/urandom ] || mknod $CHROOTDIR/dev/urandom c 1 9
-	[ -c $CHROOTDIR/dev/console ] || mknod $CHROOTDIR/dev/console c 5 1
+	[ -c $CHROOTDIR/dev/null ] || mknod $CHROOTDIR/dev/null c 1 3 || true
+	[ -c $CHROOTDIR/dev/urandom ] || mknod $CHROOTDIR/dev/urandom c 1 9 || true
+	[ -c $CHROOTDIR/dev/console ] || mknod $CHROOTDIR/dev/console c 5 1 || true
 	# For /dev/log
 	if ! grep -q "^SYSLOGD.*/var/lib/gforge/chroot/dev/log.*" /etc/default/syslogd ; then 
 		echo '######################################################################################################'

Modified: trunk/gforge/debian/changelog
===================================================================
--- trunk/gforge/debian/changelog	2009-05-04 15:14:36 UTC (rev 7562)
+++ trunk/gforge/debian/changelog	2009-05-04 15:16:36 UTC (rev 7563)
@@ -12,11 +12,13 @@
 
  -- Roland Mas <lolando at debian.org>  Wed, 29 Apr 2009 15:21:31 +0200
   
-gforge (4.8~rc1-1+1) experimental; urgency=low
+gforge (4.8~rc1-1+2) experimental; urgency=low
 
   * New upstream snapshot.
+  * install-chroot.sh: do not fail if device nodes can't be created (such
+    as when operating in a vserver).
 
- -- Roland Mas <lolando at debian.org>  Tue, 28 Apr 2009 15:44:31 +0200
+ -- Roland Mas <lolando at debian.org>  Mon, 04 May 2009 15:05:23 +0200
 
 gforge (4.8~rc1-1) experimental; urgency=low
 




More information about the Fusionforge-commits mailing list